require_relative 'lib/aibrain/version'

Gem::Specification.new do |spec|
  spec.name          = "aibrain"
  spec.version       = Aibrain::VERSION
  spec.authors       = ["LWFlouisa"]
  spec.email         = ["lwflouisa@riseup.net"]

  spec.summary       = %q{Process for generalizing across multiple printed DDG files.}
  spec.description   = %q{Generates DDG sets useable across methods, to find a larger solution.}
  spec.homepage      = ""
  spec.license       = "MIT"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
  
  spec.add_runtime_dependency 'naive_bayes', '~> 0.0.3'
  spec.add_runtime_dependency 'duck-duck-go', '~> 1.1', '>= 1.1.3'
  spec.add_runtime_dependency 'tts', '~> 0.7.1'
end
